Foreman - Bug #7164

Cannot create host if the domain name starts with "."
08/20/2014 04:08 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: Host creation
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1131659 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1704
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1131659
Description of problem:

Cannot create host if the domain name starts with "."
Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:

1. Create a new domain starting with "." (.mydomain.com)
2. Try to create a new host using the domain

3. webUl says invalid name

Actual results:

The webUI says the system name is invalid

Expected results:

The webUI should parse if the domain name starts with "."

Associated revisions

Revision 4717b0ea - 09/21/2014 03:41 AM - Ori Rabin

Fixes #7164: Cannot create a domain that starts or ends with ".'

History

#1 - 08/20/2014 04:09 AM - Dominic Cleal

- Category set to Host creation

| think the domain validation should be changed to prevent users adding a leading dot (perhaps trailing too, since I'm not sure we handle that, even if
it is technically correct.)

#2 - 08/20/2014 10:08 AM - Ori Rabin
- Status changed from New to Assigned

- Assignee set to Ori Rabin

#3 - 08/21/2014 12:52 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing

- Target version setto 1.7.4
https://bugzilla.redhat.com/show_bug.cgi?id=1131659

- Pull request https://github.com/theforeman/foreman/pull/1704 added
- Pull request deleted ()

#4 - 09/10/2014 07:22 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#5 - 09/21/2014 04:01 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 4717b0ea52a6b43c84e9ffef28863934b546010c.

#6 - 09/22/2014 04:18 AM - Dominic Cleal

- translation missing: en.field_release set to 21
